List versions of a knowledge article
curl --request GET \
--url https://api.example.com/v2/aether/playbook/knowledge/{article_id}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/aether/playbook/knowledge/{article_id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/aether/playbook/knowledge/{article_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"version_number": 123,
"title": "<string>",
"content": "<string>",
"author_id": "<string>",
"operation": "created",
"created_at": "2023-11-07T05:31:56Z"
}
]{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}aether
List versions of a knowledge article
Returns the article’s revision history, one entry per saved version.
GET
/
v2
/
aether
/
playbook
/
knowledge
/
{article_id}
/
versions
List versions of a knowledge article
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Sequential version number
Article title at this version
Full article content at this version
User who authored this version
Audit operation (created, modified)
Available options:
created, modified When this version was created
